Bug 197387 - CVE-2006-2934 SCTP netfilter DoS with chunkless packets
CVE-2006-2934 SCTP netfilter DoS with chunkless packets
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Neil Horman
Brian Brock
impact=important,source=lkml,reported...
: Security
Depends On:
Blocks: 181411
  Show dependency treegraph
 
Reported: 2006-06-30 15:34 EDT by Marcel Holtmann
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 19:37:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backport of the requested patch for RHEL-4 (388 bytes, patch)
2006-07-06 10:37 EDT, Neil Horman
no flags Details | Diff

  None (edit)
Description Marcel Holtmann 2006-06-30 15:34:17 EDT
When a packet without any chunks is received, the newconntrack variable in
sctp_packet contains an out of bounds value that is used to look up an pointer
from the array of timeouts, which is then dereferenced, resulting in a crash.

Problem noticed by George A. Theall <theall@tenablesecurity.com>
Comment 4 Neil Horman 2006-07-06 10:37:11 EDT
Created attachment 132002 [details]
backport of the requested patch for RHEL-4
Comment 9 Jason Baron 2006-07-12 15:42:11 EDT
committed in stream U4 build 41. A test kernel with this patch is available from
http://people.redhat.com/~jbaron/rhel4/
Comment 15 Red Hat Bugzilla 2006-08-10 19:37:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.